Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Scene

This module provides access to Scenes in Blender.

Example:

     import Blender
     from Blender import Scene, Object, Camera
     #
     camdata = Camera.New('ortho')           # create new camera data
     camdata.setName('newCam')
     camdata.setLens(16.0)
     camobj = Object.New('Camera')           # create a new camera object
     camobj.link(camdata)                    # link data to object
     scene = Scene.New('NewScene')           # create a new scene
     scene.link(camobj)                      # link object to scene
     scene.frameSettings(1, 100 ,1)          # set start, end and current frames
     scene.setWinSize(640, 480)              # set the render window dimensions
     scene.makeCurrent()                     # make this the current scene

Classes |
`Scene` | This object gives access to Scene data in Blender.

Function Summary |
Blender Scene or a list of Blender Scenes | `Get(name)` Get the Scene(s) from Blender.
Blender Scene | `GetCurrent()` Get the currently active Scene in Blender.
Blender Scene | `New(name)` Create a new Scene in Blender.
| `Unlink(scene)` Unlink (delete) a Scene from Blender.

Function Details |

Get(name=None)

Get the Scene(s) from Blender.

  Parameters:

    `name` - The name of a Scene.

    (type=string)

  Returns:

    It depends on the name parameter:

    - (name): The Scene with the given name;

    - (): A list with all Scenes currently in Blender.

    (type=Blender Scene or a list of Blender Scenes)

GetCurrent()

Get the currently active Scene in Blender.

  Returns:

    The currently active Scene.

    (type=Blender Scene)

New(name='Scene')

Create a new Scene in Blender.

  Parameters:

    `name` - The Scene name.

    (type=string)

  Returns:

    The created Scene.

    (type=Blender Scene)

Unlink(scene)

Unlink (delete) a Scene from Blender.

  Parameters:

    `scene` - The Scene to be unlinked.

    (type=Blender Scene)

<<< Previous | Home | Next >>>
Module Scene | Up | Class Scene